【Windows】Python3にPyODEをインストールする方法

この記事では、Windows版Python3にPyODEをインストールする方法を解説します。

通常のPythonの場合

本記事では、Python3にODEを入れる手順を紹介します。

①以下のURL先にアクセスします。
http://www.lfd.uci.edu/~gohlke/pythonlibs/#ode

②whlファイルをクリックしてダウンロードします。
※お使いのPythonバージョンやビット数によって選択します。

ケース ダウンロードするwhlファイル名
Python3.5(32bit)でPyODEをインストールしたい場合 ode-0.15.2-cp35-cp35m-win32.whl
Python3.5(64bit)でPyODEをインストールしたい場合 ode-0.15.2‑cp35‑cp35m-win_amd64.whl
Python3.6(32bit)でPyODEをインストールしたい場合 ode-0.15.2‑cp36‑cp36m‑win32.whl
Python3.6(64bit)でPyODEをインストールしたい場合 ode-0.15.2‑cp36‑cp36m-win_amd64.whl

※Python3.x(32bit)はWindows(64bit版)上でも動作します。
64bit版のPythonで詰まった場合は32bit版のPythonで試してみて下さい

③ダウンロードが終わったらコマンドプロンプトを起動します。

④コマンドプロンプトでダウンロードしたファイルがあるフォルダ(ディレクトリ)まで移動します。

⑤以下のコマンドを打ち込みます。

pip install ode‑0.15.2‑cp35‑cp35m‑win32.whl

※ファイル名はダウンロードした物に応じて適宜変更してください

⑥以下のメッセージが出たらインストール成功です。

Installing collected packages: ode
Successfully installed ode-0.15.2

※うまく行かない場合は「エラーが出てうまくいかない場合」をご覧ください。

WinPythonの場合

①以下のURL先にアクセスします。
http://www.lfd.uci.edu/~gohlke/pythonlibs/#ode

②whlファイルをクリックしてダウンロードします。
※お使いのPythonバージョン、利用したいOpenCVのバージョンによって選択します。

ケース ダウンロードするwhlファイル
WinPython3.5(32bit)でODEをインストールしたい場合 ode-0.15.2-cp35-cp35m-win32.whl
WinPython3.5(64bit)でODEをインストールしたい場合 ode-0.15.2-cp35-cp35m-win_amd64.whl

64bit版のPythonで詰まった場合は32bit版のPythonで試してみて下さい

③whlファイル(ode-0.15.2-cp35-cp35m-win32.whl)を「scripts」フォルダの中に入れます。

④「WinPython Command Prompt.exe」を起動します。

⑤表示されたコマンドプロンプトで以下のコマンドを実行します。

pip install ode-0.15.2-cp35-cp35m-win32.whl

※ファイル名はダウンロードした物に応じて適宜変更してください

⑥以下のメッセージが出たらインストール成功です。

Installing collected packages: ode
Successfully installed ode-0.15.2

※うまく行かない場合は「エラーが出てうまくいかない場合」をご覧ください。

エラーが出てうまくいかない場合

エラーが出てOpenCVのインストールができないことがあります。
よくあるエラーの原因とその対処法を整理しました。

ファイル名の入力ミス

「pip install whlファイル名」を実行し以下のエラーが出た場合は「whlファイル名の入力に誤り」があります。
ダウンロードしたwhlファイルと一致しているか見直してみましょう。

■エラー文

Requirement 'ode\u20113.2.0\u2011cp35\u2011cp35m\u2011win32.whl' looks like a filename, but the file does not exist
ode\u20113.2.0\u2011cp35\u2011cp35m\u2011win32.whl is not a valid wheel filename.

whlファイルの選択ミス

「pip install whlファイル名」を実行し以下のエラーが出た場合は「ダウンロードしたwhlファイルがお使いのPython環境に不適合」となります。
Pythonの「バージョン」と「bit数」を再確認してwhlファイルをダウンロードし直しましょう。

■エラー文

ode-0.15.2-cp35-cp35m-win32.whl is not a supported wheel on this platform.

pipが古い

上記以外のエラーの場合、pipのバージョンが古いのが原因である場合があります。
以下のコマンドを入力することで、pipを最新版にアップグレードできます。

■エラー文

python -m pip install --upgrade pip

関連記事

【Python】物理シミュレーション入門

シェア&フォローお願いします!